Unable to migrate Identity Manager 3.0.1 to 3.6.1 using Designer

  • 7004579
  • 01-Oct-2009
  • 27-Mar-2013

Environment

Novell Identity Manager 3.01
Novell Identity Manager 3.6.1
Designer for Novell Identity Manager 3.0.1

Situation

- Novell Identity Manager migration from source version IDM 3.0.1 to target version IDM 3.6.1
- Migration attempted using Designer for Novell Identity Manager 3.0.1
- Designer returns the following error message during deployment of the DriverSet to the destination server (running Identity Manager 3.6.1)

ERROR: Unable to deploy attributes to object to <IDM DriverSet>.  The Identity Manager version in Designer and the Identity Vault are not compatible

Resolution

There are 3 possible resolution options for this issue.

1. If the source Identity Manager server is running IDM version 3.0.1 and a migration using Novell Designer is desired, then it is essential to remove the server from the DriverSet in the Designer project prior to deploying the DriverSet. This will avoid the error message and allow the migration to proceed.

2. If it is essential that during the migration both the source and the target servers are associated with the DriverSet, and the migration is desired from a source Identity Manager version less than IDM 3.5 to a target Identity Manager version greater than or equal to IDM version 3.5, the *only* option available currently is to use Novell iManager 2.7. Novell Designer can not be used for this migration scenario.

3. Another option is to upgrade Identity Manager to version 3.5.1 on the source server. The migration should now proceed with either iManager or Designer .


Feedback service temporarily unavailable. For content questions or problems, please contact Support.